export default class FormGenerator {
    /**
     * Generates a default form with one-step wizard.
     *
     * @param intl Preferred language of questions
     *
     * @return Form definition (a one-step wizard with one question) and form data
     */
    static constructDefaultForm(intl: any): any[];
    /**
     * Asynchronously generates form definition from the specified data-enriched template.
     *
     * @param {Object} structure The form structure in JSON-LD
     * @param {string} intl Preferred language of questions
     *
     * @return {Promise<Object>} Promise with generated form definition and form data
     */
    static constructForm(structure: Object, intl: string): Promise<Object>;
    static _constructFormQuestions(structure: any, intl: any): any[];
}
